
import pygame
# from PIL import Image
import io
import os


def pos_to_alg(pos):
    col, row = pos
    letter = chr(ord('a') + col)
    rank = str(8 - row)
    return letter + rank

def asset_path(filename):
    return os.path.join("assets", filename)

def load_image(filename, size, scale_factor=0.9):
        image = pygame.image.load(asset_path(filename)).convert_alpha()
        new_size = (int(size * scale_factor), int(size * scale_factor))
        return pygame.transform.smoothscale(image, new_size)

def is_inside(col, row):
    return 0 <= col < 8 and 0 <= row < 8
